
%global meadversion 3.3.2
%global namedversion 3.3.2.Final-redhat-00001
%global meadalpha .Final_redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%global nfsmountable 1}
%{?scl:%scl_package jboss-logging}
%{!?scl:%global pkg_name %{name}}

%define maven_version 3.3.2.Final-redhat-00001

Name:           %{?scl_prefix}jboss-logging
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        JBoss Logging 3
Group:          Development/Java

%if %with mead
Source100: jboss-logging-3.3.2.Final-redhat-00001-scm-sources.zip
Source102: jboss-logging-3.3.2.Final-redhat-00001.pom
Source103: jboss-logging-3.3.2.Final-redhat-00001-project-sources.tar.gz
Source104: jboss-logging-3.3.2.Final-redhat-00001.jar
Source105: jboss-logging-3.3.2.Final-redhat-00001-sources.jar
Source106: jboss-logging-3.3.2.Final-redhat-00001-javadoc.jar
%endif

License:        ASL 2.0
URL:            http://www.jboss.org
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%{?scl:Requires: %scl_runtime}

%description
The JBoss Logging Framework.

%if %with javadoc
%package javadoc
Summary:        Javadoc for %{pkg_name}
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n %{pkg_name} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/%{pkg_name}-%{namedversion}.jar %{buildroot}%{_javadir}/%{pkg_name}-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/%{pkg_name}-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/%{pkg_name}-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/%{pkg_name}-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{pkg_name}-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/%{pkg_name}-%{namedversion}
unzip -qq %{_sourcedir}/%{pkg_name}-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/%{pkg_name}-%{namedversion} -x META-INF/\*
%{__ln_s} %{pkg_name}-%{namedversion} %{buildroot}%{_javadocdir}/%{pkg_name}
%endif

%clean
%{__rm} -rf %{buildroot}

%files -n %{?scl_prefix}jboss-logging
%defattr(0644,root,root,0755)
%doc 
%{_javadir}/%{pkg_name}-%{namedversion}.jar
%{_javadir}/%{pkg_name}.jar
%if %with javadoc
%{_javadir}/%{pkg_name}-%{namedversion}-javadoc.jar
%{_javadir}/%{pkg_name}-javadoc.jar
%endif
%{_javadir}/%{pkg_name}-%{namedversion}-sources.jar
%{_javadir}/%{pkg_name}-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{pkg_name}-%{namedversion}
%{_javadocdir}/%{pkg_name}
%endif

%changelog
* Fri Jul 26 2019 Sokratis Zappis <szappis@redhat.com> - 3.3.2-1.Final_redhat_00001.1
- Resolves JWS-1391: Rebase jboss-logging to version 3.3.2

* Thu Nov 08 2018 Coty Sutherland <csutherl@redhat.com> - 3.3.1-5.Final_redhat_1.1
- 5.0.2.DR1

* Tue Oct 30 2018 Coty Sutherland <csutherl@redhat.com> - 3.3.1-5.Final_redhat_1.1
- Resolves: JWS-1054 missing nfsmountable directive

* Fri May 18 2018 Coty Sutherland <csutherl@redhat.com> - 3.3.1-4.Final_redhat_1.1
- Resolves: JWS-727 Removing tomcat doesn't remove a few directories

* Thu Feb 15 2018 Patrick Sutherland <csutherl@redhat.com> - 3.3.1-3.Final_redhat_1.1
- Wrapper for the jws5 collection

* Fri Jul 28 2017 Fernando Nasser <fnasser@redhat.com> - 3.3.1-2.Final_redhat_1.1
- Wrap for jws4 collection

* Fri Jul 28 2017 Fernando Nasser <fnasser@redhat.com> - 3.3.1-2.Final_redhat_1.1
- Wrap for jws4 collection

* Wed Mar 29 2017 Vladimir Dosoudil <vdosoudi@redhat.com> - 3.3.1-1.Final_redhat_1.1
- Upgrade to 3.3.1.Final

* Wed Nov 04 2015 David Walluck <dwalluck@redhat.com> - 3.3.0-1.Final_redhat_1.1
- 3.3.0.Final

* Mon Jun 29 2015 Lin Gao <lgao@redhat.com> - 3.2.1-1.Final_redhat_1.1
- Fix scm url

* Mon Jun 29 2015 Lin Gao <lgao@redhat.com> - 3.1.4-4.GA_redhat_3.2
- Rebuild with correct git scm url

* Mon Jun 29 2015 Lin Gao <lgao@redhat.com> - 3.1.4-3.GA_redhat_3.1
- Upgrade to 3.2.1.Final-redhat-1
- Update spec file to use SCL

* Tue Dec 09 2014 Hui Wang <huwang@redhat.com> - 3.1.4-2.GA_redhat_2.1
- OSGI fix

* Thu Mar 27 2014 Yong Yang <yyang@redhat.com> - 3.1.4-1.GA_redhat_1.1
- Rebuild wrapper

* Thu Mar 27 2014 Yong Yang <yyang@redhat.com> - 3.1.4-1.GA_redhat_1.1
- Rebuild wrapper

* Thu Mar 27 2014 Yong Yang <yyang@redhat.com> - 3.1.4-1.GA_redhat_1.1
- Rebuild wrapper

* Thu Mar 27 2014 Yong Yang <yyang@redhat.com> - 3.1.4-1.GA_redhat_1.1
- Rebuild wrapper

* Thu Mar 27 2014 Yong Yang <yyang@redhat.com> - 3.1.4-1.GA_redhat_1.1
- comment doclet in javadoc plugin

* Thu Mar 27 2014 Yong Yang <yyang@redhat.com> - 3.1.4-1.Final_redhat_1
- 3.1.4.Final
- Update Spec for mead 

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 3.1.2-3.GA_redhat_1
- Rebuild for MD5

* Sat Sep 15 2012 Weinan Li <weli@redhat.com> - 3.1.2-2.GA_redhat_1
- Add src-zip

* Thu Aug 16 2012 Lin Gao <lgao@redhat.com> - 3.1.2-1.GA_redhat_1
- Upgrade to 3.1.2.GA

* Mon Aug 13 2012 Fernando Nasser <fnasser@redhat.com> - 3.1.1-1.GA_redhat_2.3
- Rebuild unsigned

* Fri Aug 10 2012 Fernando Nasser <fnasser@redhat.com> - 3.1.1-1.GA_redhat_2.2
- Rebuild unsigned

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 3.1.1-1.GA_redhat_1.1
- Rebuild using cache signing

* Wed May 02 2012 Lin Gao <lgao@redhat.com> - 0:3.1.1-1.GA_redhat_1
- Upgrade to 3.1.1.GA
- Do not install -javadoc.jar in main package

* Wed Mar 14 2012 Lin Gao <lgao@redhat.com> - 0:3.1.0-5.GA_redhat_1.1
- Rebuild to use new wrapper

* Tue Feb 21 2012 Lin Gao <lgao@redhat.com> - 0:3.1.0-5.GA_redhat_1
- Upgrade to 3.1.0.GA
- clean build to only for wrapper rpm from mead

* Thu Dec 15 2011 Lin Gao <lgao@redhat.com> - 0:3.1.0-4.CR2_redhat_1
- Upgrade to 3.1.0.CR2

* Mon Nov 14 2011 Lin Gao <lgao@redhat.com> - 0:3.1.0-3.CR1_redhat_1
- Upgrade to 3.1.0.CR1

* Thu Nov 03 2011 Lin Gao <lgao@redhat.com> - 0:3.1.0-2.Beta3_redhat_1
- fix reltag to .Beta3

* Wed Nov 02 2011 Fernando Nasser <fnasser@redhat.com> - 0:3.1.0-1.GA_redhat_1
- Upgrade to 3.1.0.Beta3

* Fri Oct 28 2011 Lin Gao<lgao@redhat.com> - 0:3.0.1-5.GA_redhat_1
- fix signed jars issue.

* Thu Oct 27 2011 Yong Yang <yyang@redhat.com> - 0:3.0.1-4.GA_redhat_1
- Upgrade to 3.0.1.GA

* Wed Aug 31 2011 Hui Wang <huwang@redhat.com> - 0:3.0.0-3.5.GA_redhat_1
- RPM build against the wrapper rpm

* Thu Aug 25 2011 Yong Yang <yyang@redhat.com> - 0:3.0.0-3.2.GA_redhat_1
- Build for werewolf

* Mon Aug 15 2011 Yong Yang <yyang@redhat.com> - 0:3.0.0-3.1.GA_redhat_1
- Brew build

* Mon Aug 15 2011 Yong Yang <yyang@redhat.com> - 0:3.0.0-3.GA
- Brew Build

* Mon Jul 18 2011 Yong Yang <yyang@redhat.com> - 0:3.0.0-2.GA
- Upgrade to 3.0.0.GA

* Mon Jun 13 2011 Yong Yang <yyang@redhat.com> - 0:3.0.0-1.beta5
- First build with MEAD
